use std::io;

fn main() {
    let mut input = String::new();
    println!("Please enter the number to calculate the Fibonacci sequence for.");
    io::stdin().read_line(&mut input).expect("An error occurred!");
    let value: u32 = input.trim().parse().unwrap();
    println!("Result: {}", fibonacci(value));
}

fn fibonacci(end: u32) -> u32 {
    if end <= 1 {
        1
    } else {
        fibonacci(end - 2) + fibonacci(end - 1)
    }
}
